Runtime agent heartbeat
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cpu_percent": 123,
"memory_used_bytes": 123,
"memory_total_bytes": 123,
"disk_used_bytes": 123,
"disk_total_bytes": 123,
"uptime_seconds": 123
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat"
payload = {
"cpu_percent": 123,
"memory_used_bytes": 123,
"memory_total_bytes": 123,
"disk_used_bytes": 123,
"disk_total_bytes": 123,
"uptime_seconds": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cpu_percent: 123,
memory_used_bytes: 123,
memory_total_bytes: 123,
disk_used_bytes: 123,
disk_total_bytes: 123,
uptime_seconds: 123
})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cpu_percent' => 123,
'memory_used_bytes' => 123,
'memory_total_bytes' => 123,
'disk_used_bytes' => 123,
'disk_total_bytes' => 123,
'uptime_seconds' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat"
payload := strings.NewReader("{\n \"cpu_percent\": 123,\n \"memory_used_bytes\": 123,\n \"memory_total_bytes\": 123,\n \"disk_used_bytes\": 123,\n \"disk_total_bytes\": 123,\n \"uptime_seconds\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cpu_percent\": 123,\n \"memory_used_bytes\": 123,\n \"memory_total_bytes\": 123,\n \"disk_used_bytes\": 123,\n \"disk_total_bytes\": 123,\n \"uptime_seconds\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cpu_percent\": 123,\n \"memory_used_bytes\": 123,\n \"memory_total_bytes\": 123,\n \"disk_used_bytes\": 123,\n \"disk_total_bytes\": 123,\n \"uptime_seconds\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": "<unknown>",
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}Workers
Runtime agent heartbeat
Accepts either owner-authenticated legacy worker heartbeat or Guard Bearer heartbeat for runtime_agent_id liveness.
POST
/
api
/
v1
/
workers
/
{id}
/
heartbeat
Runtime agent heartbeat
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cpu_percent": 123,
"memory_used_bytes": 123,
"memory_total_bytes": 123,
"disk_used_bytes": 123,
"disk_total_bytes": 123,
"uptime_seconds": 123
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat"
payload = {
"cpu_percent": 123,
"memory_used_bytes": 123,
"memory_total_bytes": 123,
"disk_used_bytes": 123,
"disk_total_bytes": 123,
"uptime_seconds": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cpu_percent: 123,
memory_used_bytes: 123,
memory_total_bytes: 123,
disk_used_bytes: 123,
disk_total_bytes: 123,
uptime_seconds: 123
})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cpu_percent' => 123,
'memory_used_bytes' => 123,
'memory_total_bytes' => 123,
'disk_used_bytes' => 123,
'disk_total_bytes' => 123,
'uptime_seconds' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat"
payload := strings.NewReader("{\n \"cpu_percent\": 123,\n \"memory_used_bytes\": 123,\n \"memory_total_bytes\": 123,\n \"disk_used_bytes\": 123,\n \"disk_total_bytes\": 123,\n \"uptime_seconds\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cpu_percent\": 123,\n \"memory_used_bytes\": 123,\n \"memory_total_bytes\": 123,\n \"disk_used_bytes\": 123,\n \"disk_total_bytes\": 123,\n \"uptime_seconds\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/heartbeat")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cpu_percent\": 123,\n \"memory_used_bytes\": 123,\n \"memory_total_bytes\": 123,\n \"disk_used_bytes\": 123,\n \"disk_total_bytes\": 123,\n \"uptime_seconds\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": "<unknown>",
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}التفويضات
OIDC/JWKS bearer token. Self-hosted defaults to Pocket ID; SaaS uses Auth0 through the edge. PocketBase JWT is legacy migration compatibility only.
معلمات المسار
Resource ID
الجسم
application/json
